### Enumeration

# FwupdPlugin PowerState

#### Declaration

    enum FwupdPlugin.PowerState

#### Description [src]

The system power state. This does not have to be exactly what the battery is doing, but is supposed to represent the 40,000ft view of the system power state. For example, it is perfectly correct to set `FU_POWER_STATE_AC` if the system is connected to AC power, but the battery cells are discharging for health or for other performance reasons.

#### Members

`FU_POWER_STATE_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_POWER_STATE_AC`

  On AC power.

  - Value: `1`
  - Available since: 1.0
`FU_POWER_STATE_BATTERY`

  On system battery.

  - Value: `2`
  - Available since: 1.0